Next: TLIST, Previous: INST, Up: Object File Formats

#### 4.2.10 LIST Files

The conventional suffix for a `LIST` file is `.list`.

A list of OOGL objetos

Syntax:

         LIST
             oogl-object
             oogl-object
             ...

Note that there's no explicit separation between the oogl-objetos, so they should be enclosed in curly braces ({ }) for sanity. Likewise there's no explicit marker for the end of the list; unless appearing alone in a disk file, the whole construct should also be wrapped in braces, as in:

            { LIST { QUAD ... } { < xyz.quad } }

A `LIST` with no elements, i.e. `{ LIST }`, is valid, and is the easiest way to create an empty objeto. For example, to remove a symbol's definition you might write

            { define somesymbol  { LIST } }